package com.samelement.iot_notification.analytic;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.util.ArrayList;
import java.util.List;

class Event {
    @SerializedName("triggers")
    @Expose
    private List<String> triggers = new ArrayList<>();
    @SerializedName("entered_trigger")
    @Expose
    private String enteredTrigger;
    @SerializedName("operators")
    @Expose
    private List<String> operators = new ArrayList<>();
    @SerializedName("entered_operator")
    @Expose
    private String enteredOperator;
    @SerializedName("entered_value")
    @Expose
    private String enteredValue;


    public List<String> getTriggers() {
        return triggers;
    }

    public void setTriggers(List<String> triggers) {
        this.triggers = triggers;
    }

    public String getEnteredTrigger() {
        return enteredTrigger;
    }

    public void setEnteredTrigger(String enteredTrigger) {
        this.enteredTrigger = enteredTrigger;
    }

    public List<String> getOperators() {
        return operators;
    }

    public void setOperators(List<String> operators) {
        this.operators = operators;
    }

    public String getEnteredOperator() {
        return enteredOperator;
    }

    public void setEnteredOperator(String enteredOperator) {
        this.enteredOperator = enteredOperator;
    }

    public String getEnteredValue() {
        return enteredValue;
    }

    public void setEnteredValue(String enteredValue) {
        this.enteredValue = enteredValue;
    }
}
